Employees

Update an employee

Updates employee fields you send. Changing bank or legal name restarts verification and turns EWA off until it completes.

PATCH
/employees/{id}

Updates employee fields you send. Changing bank or legal name restarts verification and turns EWA off until it completes.

Authorization

secretKey
AuthorizationBearer <token>

Sandbox try-it accepts sk_test_… only.

In: header

Path Parameters

id*string

The employee's Momen id (UUID), not your employee code.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Send only the fields to change.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/employees/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "employee_id": "string",    "full_name": "string",    "nik": "string",    "phone_number": "string",    "email": "user@example.com",    "branch_id": "7a4e8e99-89f2-4a0f-b66c-fc595dda2dbc",    "employment_type": "string",    "job_position": "string",    "basic_salary": 0,    "kasbon_limit": 0,    "bank_name": "string",    "bank_account_number": "string",    "join_date": "2019-08-24",    "end_date": "2019-08-24",    "contract_end": "2019-08-24",    "notice_period": "string",    "notes": "string",    "bank_account_name": "string",    "bank_verification_status": "string",    "is_ewa_active": true,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "meta": {    "request_id": "string"  }}